Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core.model
Class DefaultFeatureParser

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.eclipse.update.core.model.DefaultFeatureParser

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

public class DefaultFeatureParser
extends DefaultHandler

Default feature parser. Parses the feature manifest file as defined by the platform. Defers to a model factory to create the actual concrete model objects. The update framework supplies two factory implementations:

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

- @see org.eclipse.update.core.model.FeatureModelFactory
- @see org.eclipse.update.core.BaseFeatureFactory

Since:
  2.0

Constructor Summary
`DefaultFeatureParser()` Constructs a feature parser.

Method Summary
`void` | `characters(char[] ch, int start, int length)` Handle character text
`void` | `endElement(String uri, String localName, String qName)` Handle end of element tags
`void` | `error(SAXParseException ex)` Handle errors
`void` | `fatalError(SAXParseException ex)` Handle fatal errors
`MultiStatus` | `getStatus()` Returns all status objects accumulated by the parser.
`void` | `ignorableWhitespace(char[] arg0, int arg1, int arg2)`
`void` | `init(FeatureModelFactory factory)`
`FeatureModel` | `parse(InputStream in)` Parses the specified input steam and constructs a feature model.
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)` Handle start of element tags

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFeatureParser

    public DefaultFeatureParser()

  Constructs a feature parser.

Since:
  2.0

Method Detail

### init

    public void init(FeatureModelFactory factory)

### parse

    public FeatureModel parse(InputStream in)
                       throws SAXException,
                              IOException

  Parses the specified input steam and constructs a feature model. The input stream is not closed as part of this operation.

  Parameters:
    `in` - input stream
  Returns:
    feature model
  Throws:
    `SAXException`
    `IOException`
  Since:
    2.0

### getStatus

    public MultiStatus getStatus()

  Returns all status objects accumulated by the parser.

  Returns:
    multi-status containing accumulated status, or `null`.
  Since:
    2.0

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Handle start of element tags

  Throws:
    `SAXException`
  Since:
    2.0
  See Also:
    `DefaultHandler.startElement(String, String, String, Attributes)`

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)

  Handle end of element tags

  Since:
    2.0
  See Also:
    `DefaultHandler.endElement(String, String, String)`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  Handle character text

  Since:
    2.0
  See Also:
    `DefaultHandler.characters(char[], int, int)`

### error

    public void error(SAXParseException ex)

  Handle errors

  Since:
    2.0
  See Also:
    `DefaultHandler.error(SAXParseException)`

### fatalError

    public void fatalError(SAXParseException ex)
                    throws SAXException

  Handle fatal errors

  Throws:
    `SAXException`
  Since:
    2.0
  See Also:
    `DefaultHandler.fatalError(SAXParseException)`

### ignorableWhitespace

    public void ignorableWhitespace(char[] arg0,
                                    int arg1,
                                    int arg2)
                             throws SAXException

  Throws:
    `SAXException`
  See Also:
    `ContentHandler.ignorableWhitespace(char[], int, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.